iScreensaver Logotype
iScreensaver 5.2 has been released, and provides support for macOS High Sierra 10.13. Please read the 10.13 High Sierra Tech Note as well as the Release Notes. macOS 10.14 Mojave is under investigation, and is not yet recommended.

iScreenSaver Designer shows 32 bit warning in 10.13.4 and above.

Hi I have recently downloaded the lasts version of your software 5.2.0.1156 and made our latest screensaver (called lightspeed). Im am seeing this error on macOS 10.13.4 Beta (17E139j) when the machine wakes

"Lightspeed" may affect the performace of your Mac. The developer of this app needs to update it to improve is compatibility.

I sometimes ALSO see an error when opening iScreen Designer that says the Developer needs to update their software to make sure it is compatible.

I believe your software needs to be made in 64 bit as all software needs to conform to this now.

https://www.macrumors.com/2018/01/24/macos-high-sierra-32-bit-app-warning/

Please you app in 64 bit which will make a screen saver for Mac in 64bit!

Tim

Comments

  • Hi Tim,

    I've edited the title of your post to be more accurate.

    It is true that the beta versions of 10.13.4 do put up a warning, and this warning is because the app is still 32 bit.

    It is not true that the app doesn't work - it works fine - this warning is Apple's early notice that someday in the future, 32 bit apps won't be allowed. Our best guess is that this rule change may happen in a later release (10.14) but is not likely to happen in the current 10.13.x OS releases.

    So, for the time being there is no need to worry - the app works normally, and we do have a 64 bit version under development.

    To stay updated on product development news, please sign up for our Mailing List here https://iscreensaver.com/mailinglist.shtml
  • I disagree the app is not working as expected under 10.13.4. Throwing up unexpected errors is not good. Thanks for working on the 64 bit. Any rough timeline of when this will be?
  • Yep I know about that for ages I’m a systems admin. Also your new screen saver software requiring to set the screen saver activation time to activate less than immediately otherwise it errors is stupid.
  • "Also your new screen saver software requiring to set the screen saver activation time to activate less than immediately otherwise it errors is stupid." -- We are frustrated by this too, but it's a side-effect of Apple making changes in 10.13 that broke a lot of software. We are looking into workarounds and keeping our eye open for changes in 10.13.4 and 10.13.5.

    If you are interested in this and other details, you can read about it here: https://iscreensaver.com/help/notes/high_sierra/high_sierra.shtml
Sign In or Register to comment.